| Earth Observation Mission CFI Software Orbit Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.RelANXTime Class Reference

This class contains a time instant given as a relative orbit number plus the time elapsed since the ANX. More...

Inheritance diagram for EECFI.RelANXTime:

List of all members.

## Public Member Functions
| RelANXTime ()
| Class constructor.
| RelANXTime (long orbitIn, long cycleIn, long secondsIn, long microsecIn)
| Class constructor.
| RelANXTime (final OrbitId orbitIdIn, long orbitIn, long cycleIn, long secondsIn, long microsecIn) throws CfiError
| Class constructor with parameters using OrbitId.
| RelANXTime (final RelANXTime at) throws CfiError
| Copy class constructor.
native ANXTime | toAbsolute () throws CfiError
| Returns the absolute orbit corresponding to the RelANXTime object..
native void | fromAbsolute (final ANXTime anxTime) throws CfiError
| Set the RelANXTime object from an input ANXTime object.
void | copy (final RelANXTime t) throws CfiError
| Copy operator.
## Public Attributes
long | orbit
| Relative orbit number.
long | cycle
| Cycle number.
long | seconds
| Seconds since the ANX.
long | microseconds
| Microseconds.

## Detailed Description

This class contains a time instant given as a relative orbit number plus the time elapsed since the ANX.

## Constructor & Destructor Documentation

EECFI.RelANXTime.RelANXTime | ( |  | ) |

Class constructor.

If no OrbitId is provided in constructor, the object can only be used as data container.

EECFI.RelANXTime::RelANXTime | ( | long | orbitIn,
|  | long | cycleIn,
|  | long | secondsIn,
|  | long | microsecIn |
| ) |  |  |

Class constructor.

If no OrbitId is provided in constructor, the object can only be used as data container.

Parameters:

  | orbitIn | Relative orbit.
  | cycleIn | Cycle of orbit..
  | secondsIn | Seconds.
  | microsecIn | Microseconds.

EECFI.RelANXTime::RelANXTime | ( | final OrbitId | orbitIdIn,
|  | long | orbitIn,
|  | long | cycleIn,
|  | long | secondsIn,
|  | long | microsecIn |
| ) |  |  | throws CfiError

Class constructor with parameters using OrbitId.

Parameters:

  | orbitIdIn | Orbit Id.
  | orbitIn | Relative orbit.
  | cycleIn | Cycle of orbit.
  | secondsIn | Seconds.
  | microsecIn | Microseconds.

EECFI.RelANXTime::RelANXTime | ( | final RelANXTime | rt | ) | throws CfiError

Copy class constructor.

Parameters:

  | rt | Object to be copied..

## Member Function Documentation

void EECFI.RelANXTime::copy | ( | final RelANXTime | t | ) | throws CfiError

Copy operator.

Parameters:

  | t | RelANXTime object we want to copy values into this one.

void EECFI.RelANXTime::fromAbsolute | ( | final ANXTime | anxTime | ) | throws CfiError

Set the RelANXTime object from an input ANXTime object.

Parameters:

  | anxTime | ANXTime object with absolute values.

ANXTime EECFI.RelANXTime::toAbsolute | ( |  | ) | throws CfiError

Returns the absolute orbit corresponding to the RelANXTime object..

Returns:
  ANXTime object with absolute orbit.

## Member Data Documentation

long EECFI.RelANXTime.cycle

Cycle number.

long EECFI.RelANXTime.microseconds

Microseconds.

long EECFI.RelANXTime.orbit

Relative orbit number.

long EECFI.RelANXTime.seconds

Seconds since the ANX.